// chapitre 5 map.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

#include <iostream>
#include <map>
using namespace std;

int main(int argc, char* argv[])
{
	map<int,string> tab;
	tab[1]="Paris";
	tab[5]="Londres";
	tab[10]="Berlin";

	map<int,string>::iterator paires;
	for(paires=tab.begin(); paires!=tab.end(); paires++)
	{
		int cle=paires->first;
		string valeur=paires->second;
		cout << cle << " " << valeur.c_str() << endl;
	}
	return 0;
}

